Overview Features Instructions Performance Forum Downloads Products OrderV4 Reseller Contact

Welcome to the Apollo Forum

This forum is for people interested in the APOLLO CPU.
Please read the forum usage manual.
VISIT APOLLO IRC CHANNEL



All TopicsNewsPerformanceGamesDemosApolloVampireAROSWorkbenchATARIReleases
Documentation about the Vampire hardware

Using CF-card From Amiga600 In V4 Standalone?

Manfred Bergmann

Posts 127
16 Oct 2019 15:21


Hi.

I'm wondering if I could just use my A600 Vampire setup I have, or make a copy of it and use in V4SA?
I'll probably have to update drivers but should it work otherwise?

Manfred


Pedro Cotter
(Apollo Team Member)
Posts 234
16 Oct 2019 17:14


It is as you say. Just use the drivers for the V4


Manfred Bergmann

Posts 127
16 Oct 2019 18:11


Great stuff.
Where can I download the drivers? Or is it the SAGADriver.v1.6 package?


Manfred Bergmann

Posts 127
16 Oct 2019 18:34


OK, no worries.
Found the other thread about drivers & software.


Manfred Bergmann

Posts 127
16 Oct 2019 19:59


OK, so I just used my CF card from the A600 in the V4.
And it booted.
But for some reason it only has 2MB Chipram and 120MB Fastram.

Is there something missing?
When I boot Coffin it has all the RAM.

Manfred


Manfred Bergmann

Posts 127
16 Oct 2019 20:21


OK, so I can again answer my question by looking around in the forum.

My CF card loads the 3.1.4 ROM which seems can't detect the additional RAM while the on-board ROM is a custom ROM.


Gunnar von Boehn
(Apollo Team Member)
Posts 4454
17 Oct 2019 05:54


Manfred Bergmann wrote:

  OK, so I can again answer my question by looking around in the forum.
 
  My CF card loads the 3.1.4 ROM which seems can't detect the additional RAM while the on-board ROM is a custom ROM.
 

 
That you use 3.1.x instead 3.9 is extra info which you did not post before. That you downgraded the OS was not clear to me before.
One think is clear, 3.1.4 is young and OS 3.9 is much more tested.


Vojin Vidanovic

Posts 1594
17 Oct 2019 06:52


Gunnar von Boehn wrote:

3.1.4 is young and OS 3.9 is much more tested.

Young but might be obsolete soon.

I hear Hype announced OS 3.2 at forum.
EXTERNAL LINK


Nikos Tomatsidis

Posts 58
17 Oct 2019 07:04


Vojin Vidanovic wrote:

Gunnar von Boehn wrote:

  3.1.4 is young and OS 3.9 is much more tested.
 

 
  Young but might be obsolete soon.
 
  I hear Hype announced OS 3.2 at forum.
  EXTERNAL LINK 

I'm quite sure this will be a system update only. No ROM update.


Vojin Vidanovic

Posts 1594
17 Oct 2019 07:21


nikos tomatsidis wrote:

  I'm quite sure this will be a system update only. No ROM update.

Might be, even OS 3.1.4 did have its own ROM.

1 mb ROM that would include some critical parts of WB resident, as well as intuition.lib as explained in VampROM guide, EXTERNAL LINK would be most welcome, however. Remus and Vamp support it.


Manfred Bergmann

Posts 127
17 Oct 2019 07:47


Gunnar von Boehn wrote:

 
Manfred Bergmann wrote:

    OK, so I can again answer my question by looking around in the forum.
     
      My CF card loads the 3.1.4 ROM which seems can't detect the additional RAM while the on-board ROM is a custom ROM.
   

   
    That you use 3.1.x instead 3.9 is extra info which you did not post before. That you downgraded the OS was not clear to me before.
    One think is clear, 3.1.4 is young and OS 3.9 is much more tested.
 

 
  Well, I didn't downgrade.
  I just inserted the CF-card I use in my A600. It uses AOS 3.1.4 and hence it also needs the ROM of the same version. It boots fine and all seems to be working OK on the V4.
 
  It's fine for now that it cannot detect the additional RAM. Maybe there is a solution at some point.
 
  I've pretty much installed 3.1.4 on all my systems, even where 3.9 was previously installed.
  3.9 seems like a dead end with many of the sources from H&P missing.


Henryk Richter
(Apollo Team Member)
Posts 109
17 Oct 2019 09:53


Manfred Bergmann wrote:

    I just inserted the CF-card I use in my A600. It uses AOS 3.1.4 and hence it also needs the ROM of the same version. It boots fine and all seems to be working OK on the V4.
    It's fine for now that it cannot detect the additional RAM. Maybe there is a solution at some point.
 

  The VampireMap314 tool you are using is unaware of the Vampire4Standalone and won't install the support modules to search for the additional memory. Please try the 1.4 Beta I've posted to the wiki EXTERNAL LINK 
  That version knows about V4 and also supports older Kickstarts (like 1.3) better. Please note that Core flashing is not yet enabled on Vampire V4.


Vojin Vidanovic

Posts 1594
17 Oct 2019 12:53


Manfred Bergmann wrote:

      3.9 seems like a dead end with many of the sources from H&P missing.
   

   
    Yes, in terms of source access, as we have seen Cloanto and Hype patching clean OS 3.1 to become Cloanto patched 3.1, OS 4.x, OS 3.1.4/OS 3.2
   
    No, in terms much 2000+ AmigaOS software has been tested and fixed to work on OS 3.9, I believe that to be Gunnars point.
   
    There were bugs in 3.1.4, thus there is 3.1.4.1 :) Just like OS 4.1.8.1 or similar where my x1000 is stuck with no prepaid OS 4.2 to appear in download section :)
   
    Quite a new age mess, who is dead, and who is not.
   
    I prefer AROS steady advanced and MOS crazy ideas of compressed image, using latest and best of AOS tech, supporting best of hw within OS - no OS4 driver dramma etc. maintaining OS 3.x/WOS compatibility to higher deegree then OS4 etc. They needed SAGA inside FPGA and such Pegs would be best thing. But now, lets try m68k again. At least Until MOS goes x64 road a bit more. That is my 2 cents.
   
    We need OS LIKE that, be it AmiKit XE that can build on OS 3.1,OS 3.1.4.1,OS 3.5, OS 3.9 or leech OS files from legal OS4 CD. With all authors agreeing etc. no hustle from any side, and best from community. When OS holders do job only here and there when in need of some more money - at least my exp since 2004 with AmigaOS. MOS 3.12 Vamp backport (with Cryssalis pack) would be as good solution as AmiKit XE Vampire, AROS advanced Vamp, optimised OS 3.2+ or whatever arises.


Manfred Bergmann

Posts 127
17 Oct 2019 14:05


Vojin Vidanovic wrote:

Manfred Bergmann wrote:

      3.9 seems like a dead end with many of the sources from H&P missing.
   

   
    Yes, in terms of source access, as we have seen Cloanto and Hype patching clean OS 3.1 to become Cloanto patched 3.1, OS 4.x, OS 3.1.4/OS 3.2
   
    No, in terms much 2000+ AmigaOS software has been tested and fixed to work on OS 3.9, I believe that to be Gunnars point.
   
    There were bugs in 3.1.4, thus there is 3.1.4.1 :) Just like OS 4.1.8.1 or similar where my x1000 is stuck with no prepaid OS 4.2 to appear in download section :)
   

I haven't seen software that has no bugs. Of course there are bugs.

The question is what is the upgrade possibility of AOS 3.9?
Apparently it is not good so that Thomas Richter and others decided to base on 3.1 instead.


Olaf Schoenweiss

Posts 551
17 Oct 2019 14:55


3.9 was a mixture of copyrights, partly H&P, partly 3rd parties

the 3rd party rights got back, the copyright of H&P stayed. And I guess that H&P and Hyperion are not the best friends.


Vojin Vidanovic

Posts 1594
17 Oct 2019 16:28


Manfred Bergmann wrote:

      The question is what is the upgrade possibility of AOS 3.9?
      Apparently it is not good so that Thomas Richter and others decided to base on 3.1 instead.
   

   
    No, they simply did not have access to sources. OS 3.5 and OS 3.9 introduced much new things, that never returned fully to OS 3.1.4 or even OS 4.x as consequence. While its possible to reach OS 3.9 functionality, it requires quite a lot hand updating (or e.g. Enhancer in OS 4.x case).
   
    There is a "installer" to use OS 3.1.4 fixes on top of OS 3.9
    EXTERNAL LINK   
    Best history of WB, updated
    EXTERNAL LINK   
    AmigaHistory OS 3.9 page
    EXTERNAL LINK


Manfred Bergmann

Posts 127
17 Oct 2019 17:27


Yeah. But it doesn't matter if there were legal rights problems or no sources available.

Both of those prevent updating from 3.9.

But updating from 3.1 is possible.


Vojin Vidanovic

Posts 1594
17 Oct 2019 18:09


Manfred Bergmann wrote:

        But updating from 3.1 is possible.
       

       
      OS 3.1.4(1) is " primarily intended as a bug-fix release." to OS 3.1, something OS 3.9 was also + adding a bit more feats. Even OS 3.2 will bring such advanced feats as ... shell autocomplete!

and will cost again, I am sure!
 
    EXTERNAL LINK 
 
        Updating from OS 3.1 is happening, be it AROS, MorphOS, AmigaOS 4, AmiKit XE or AmigaOS 3.1.4/OS 3.2
       
      "OS 3.5/OS 3.9" manner is including best community solutions (e.g. RTG, AHI, MUI ...) I expect more useful tools and TCP/IP stack to level up. OS4 did a step forwards with "extras install" and "enhancer" but barebone OS 3.1 is a bit sad and empty. Bare AROS is way more but not enough. Thus, things like AmiKit or Coffin exist.
     
        Seems H&P sources are lost + mambo jumbo with owners of other 3rd party OS components prevents use/development even if discovered now.
   
    This is AW.net quote:
    "H&P only had a license to distribute a product called "AmigaOS 3.9", and a license for the 3.1-Code included in that product. Both licenses were limited to (I think) 10 years, but had been cancelled prematurely by Amiga, Inc. anyway because of the Amithlon controversy. 99% of the improvements (pretty much anything except a few Reaction based preferences programs and the new installer which could display pictures, IIRC) was never owned by H&P but written by external developers and licensed to H&P. Those licenses were limited to 10 years too, i.e. they have long expired.
   
    I contacted Jürgen Haage in 2005 or 2006 and asked if we could host the BoingBags on Aminet - even back then, he made it very clear that he's not interested in anything Amiga related and that he's no longer in a position to do anything with 3.x."
    EXTERNAL LINK

posts 18